
          // set the RTC(s)
          if( (srchptr=strstr(cbuf, "RTC,")) != NULL ){

            if(strchr(srchptr, '?') != NULL){
              printf("ACK,RTC?,%lu\n", RTCGetTime( NULL, NULL ) );
              SCIRxFlush();
              continue;
              }

            i = gotVal = 0;
            srchptr = strtok(srchptr, ",");
            while( (srchptr = strtok(NULL, ",")) != NULL ){
              ++i;
              if(i == 1){
                if(strchr(srchptr, '-') != NULL){
                  printf("NAK,RTC,SignErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                input_var = strtoul(srchptr, NULL, 10);
                if( errno == ERANGE ){
                  printf("NAK,RTC,OverflowErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else if( input_var == 0 ){
                  printf("NAK,RTC,ConvertErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else
                  ++gotVal;
                }
              }

            if( (gotVal == 1) && (i != ERROR) ){

			  RTCSetTime( input_var, 0 );				// store into CF2
              printf("ACK,RTC,%lu,%lu\n", input_var, RTCGetTime( NULL, NULL ) );

              SCIRxFlush();
              if( SerGetsTmout(abuf, sizeof(abuf), GET_ACK_TIMEOUT) > 0 ){
                //printf("RTC ABUF = %s\n", abuf);
                if( MatchACK(abuf) == ACK ){               // if ACK update non-volatile RTC
				  CF2_secs = RTCGetTime( NULL, NULL );	
				  DS3234_SetTime( CF2_secs );
                  SyncNextSample();
                  SCIRxFlush();
                  continue;
                  }
                }

			  DS3234_secs = DS3234_GetTime();
			  RTCSetTime( DS3234_secs, 0 );			  	  // no ACK, restore CF2 RTC

              sprintf(ebuf, "RTC Command ACK Failure");
              LogErrorMsg(ebuf, (int)COMMAND_ACK_FAILURE, sys_message_enable);

              SCIRxFlush();
              continue;
              } // end gotVal1 if
            else{
              if(i != ERROR)
                printf("NAK,RTC,FormatErr\n");

              SCIRxFlush();
              continue;
              }

            } // end set RTC(s) if


